Get a private location
- Base URL
-
https://{kibana_url}
-
GET
/api/synthetics/private_locations/{id}
Auth
You must have read privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.
-
id
string
required
-
A private location identifier or label.
-
agentPolicyId
string
-
The ID of the agent policy associated with the private location.
-
geo
object
-
Geographic coordinates (WGS84) for the location.
-
-
lat
number
required
-
The latitude of the location.
-
lon
number
required
-
The longitude of the location.
-
id
string
-
The unique identifier of the private location.
-
isInvalid
boolean
-
Indicates whether the location is invalid. If true, the location is invalid, which means the agent policy associated with the location is deleted.
-
label
string
-
A label for the private location.
-
namespace
string
-
The namespace of the location, which is the same as the namespace of the agent policy associated with the location.
Thank you for your feedback.